{
"request_id": "api-request-018f8d0d-5a3c-7afc-8321-2f6f6e0fefab",
"results": [
{
"created_at": "2025-03-18T11:00:00Z",
"description": "Saved recipes from around the web",
"id": "018f8d0d-5a3c-7afc-8321-2f6f6e0fefab",
"note_count": 10,
"title": "Recipe Notes",
"updated_at": "2025-04-22T16:12:34Z"
}
],
"total": 1
}
Collections
Search Collections
Search collections using free-text relevance matching.
Returns a bounded relevance-ranked result set and does not return next_page.
For deterministic chronological pagination, use GET /v2/collections.
Number of collections returned by this bounded search response.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mem API","colors":{"primary":"#3D69D9","light":"#6792FF","dark":"#1D47B3"},"logo":{"light":"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/logo/light.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=44740ce750f212aa35044317793de356","dark":"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/logo/dark.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=496fcca9a9e2876eec97390d87a80f74"},"favicon":"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/favicon.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=9eb055e5579806c03eef81490dc3433f","api":{"playground":{"display":"simple"},"examples":{"languages":["curl"]}},"navbar":{"links":[{"href":"https://support.mem.ai/","label":"Support"}],"primary":{"type":"button","label":"Go to Mem","href":"https://mem.ai"}},"footer":{"socials":{"x":"https://x.com/memdotai","github":"https://github.com/mem-labs","linkedin":"https://www.linkedin.com/company/memdotai"}},"fonts":{"family":"Ritual","source":"https://storage.googleapis.com/memassets/Ritual.woff2","format":"woff2"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":"slack","href":"https://get.mem.ai/slack"},{"anchor":"Blog","icon":"newspaper","href":"https://get.mem.ai/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mem","hasAudioNarration":false,"actualSubdomain":"mem","customDomains":["docs.mem.ai"],"gitSource":{"type":"github","owner":"mem-labs","repo":"mem","deployBranch":"main","contentDirectory":"workspaces/typescript/projects/dev-docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a9b39d4896ebfa4e12a2126","collectionId":"7a4840c7-90b4-4477-9a2e-9fc69ca21538","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a9b39d4896ebfa4e12a2126"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a9b39d4896ebfa4e12a2126","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API Reference","count":23},{"language":"default","tag":"Collections","count":9},{"language":"default","tag":"Notes","count":8},{"language":"default","tag":"API Documentation","count":5},{"language":"default","tag":"Guides","count":5},{"language":"default","tag":"MCP","count":4},{"language":"default","tag":"Model Context Protocol","count":4},{"language":"default","tag":"Get Started","count":2},{"language":"default","tag":"Use Cases","count":2},{"language":"default","tag":"Home","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".light #content-container,.light #sidebar,.light #sidebar>.bg-background-light,html.light,html.light #root,html.light body{background-color:#fcf8f1}html.light{--background-light:252 248 241}.dark .docs-home-theme-illustration{filter:brightness(0) invert(1);opacity:.8}table{width:100%;border-collapse:collapse;margin:24px 0 20px;background-color:#fff;overflow:hidden;table-layout:fixed;display:table!important}td,th{padding:8px 12px!important;border:1px solid #e5e0e1;box-sizing:border-box;vertical-align:middle}th{background-color:#f5f5f5;font-weight:600;color:#333;text-transform:uppercase;font-size:.9em;letter-spacing:.5px;text-align:center}td{text-align:left}"}],"page":{"pagePath":"api-reference/collections/search-collections","slug":"/api-reference/collections/search-collections","pageMetadata":{"title":"Search Collections","openapi":"POST /v2/collections/search","description":"Search collections using free-text relevance matching.\nReturns a bounded relevance-ranked result set and does not return `next_page`.\nFor deterministic chronological pagination, use `GET /v2/collections`.","href":"/api-reference/collections/search-collections"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Search collections using free-text relevance matching.\\nReturns a bounded relevance-ranked result set and does not return \", _jsx(_components.code, {\n children: \"next_page\"\n }), \".\\nFor deterministic chronological pagination, use \", _jsx(_components.code, {\n children: \"GET /v2/collections\"\n }), \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Search Collections","openapi":"POST /v2/collections/search","description":"Search collections using free-text relevance matching.\nReturns a bounded relevance-ranked result set and does not return `next_page`.\nFor deterministic chronological pagination, use `GET /v2/collections`.","href":"/api-reference/collections/search-collections"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Search collections using free-text relevance matching.\nReturns a bounded relevance-ranked result set and does not return `next_page`.\nFor deterministic chronological pagination, use `GET /v2/collections`.","operationId":"app_src_api_routes_external_v2_collections_views_search_collections","parameters":[],"requestBody":"c239353b-4ccc-493d-99c2-fde704db643c","responses":{"200":"ddb92c52-f56a-427b-8438-7a7cccd40625"},"summary":"Search Collections","tags":["external","external-v2"],"x-codeSamples":[{"label":"cURL","lang":"bash","source":"curl \"https://api.mem.ai/v2/collections/search\" \\\n --header \"Content-Type: application/json\" \\\n --header \"Authorization: Bearer $MEM_API_KEY\" \\\n --data '{\n \"query\": \"recipes\"\n }'"}],"method":"post","type":"path","servers":["bedd9c91-de58-4c61-b033-0335a975a1f4"],"security":["1a23edc3-544e-4183-9fd0-2a3890047ad1"],"path":"/v2/collections/search","baseUrlOptions":["https://api.mem.ai"],"title":"Search Collections","codeSamples":[{"label":"cURL","lang":"bash","source":"curl \"https://api.mem.ai/v2/collections/search\" \\\n --header \"Content-Type: application/json\" \\\n --header \"Authorization: Bearer $MEM_API_KEY\" \\\n --data '{\n \"query\": \"recipes\"\n }'"}],"requestExampleLanguages":["bash"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"filter_by_created_after":{"oneOf":[{"type":"string","title":"Filter By Created After","description":"Optional inclusive lower bound for collection creation time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","format":"date-time","example":"2025-04-01T14:30:45Z","uniqueKey":"filter_by_created_after.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Filter By Created After","description":"Optional inclusive lower bound for collection creation time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","example":"2025-04-01T14:30:45Z","uniqueKey":"filter_by_created_after.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_by_created_after","typeLabel":"string\u003cdate-time> | null"},"filter_by_created_before":{"oneOf":[{"type":"string","title":"Filter By Created Before","description":"Optional inclusive upper bound for collection creation time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","format":"date-time","example":"2025-04-30T23:59:59Z","uniqueKey":"filter_by_created_before.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Filter By Created Before","description":"Optional inclusive upper bound for collection creation time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","example":"2025-04-30T23:59:59Z","uniqueKey":"filter_by_created_before.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_by_created_before","typeLabel":"string\u003cdate-time> | null"},"filter_by_updated_after":{"oneOf":[{"type":"string","title":"Filter By Updated After","description":"Optional inclusive lower bound for collection update time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","format":"date-time","example":"2025-04-01T14:30:45Z","uniqueKey":"filter_by_updated_after.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Filter By Updated After","description":"Optional inclusive lower bound for collection update time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","example":"2025-04-01T14:30:45Z","uniqueKey":"filter_by_updated_after.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_by_updated_after","typeLabel":"string\u003cdate-time> | null"},"filter_by_updated_before":{"oneOf":[{"type":"string","title":"Filter By Updated Before","description":"Optional inclusive upper bound for collection update time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","format":"date-time","example":"2025-04-30T23:59:59Z","uniqueKey":"filter_by_updated_before.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Filter By Updated Before","description":"Optional inclusive upper bound for collection update time (ISO 8601).\nThe timestamp must include a timezone offset such as `Z` or `+01:00`.","example":"2025-04-30T23:59:59Z","uniqueKey":"filter_by_updated_before.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_by_updated_before","typeLabel":"string\u003cdate-time> | null"},"query":{"oneOf":[{"type":"string","title":"Query","description":"Optional text query for relevance matching across collections.\nIf omitted, search can still return a bounded general set.","uniqueKey":"query.oneOf.0","typeLabel":"string"},{"type":"null","title":"Query","description":"Optional text query for relevance matching across collections.\nIf omitted, search can still return a bounded general set.","uniqueKey":"query.oneOf.1","typeLabel":"null"}],"uniqueKey":"query","typeLabel":"string | null"}},"title":"CollectionSearchRequestSchema","type":"object","uniqueKey":"","typeLabel":"CollectionSearchRequestSchema · object"},"examples":{"Example":{"title":"Example","value":{"filter_by_created_after":"2025-04-01T14:30:45Z","filter_by_created_before":"2025-04-30T23:59:59Z","filter_by_updated_after":"2025-04-01T14:30:45Z","filter_by_updated_before":"2025-04-30T23:59:59Z","query":"\u003cstring>"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"ddb92c52-f56a-427b-8438-7a7cccd40625":{"content":{"application/json":{"schema":{"example":{"request_id":"api-request-018f8d0d-5a3c-7afc-8321-2f6f6e0fefab","results":[{"created_at":"2025-03-18T11:00:00Z","description":"Saved recipes from around the web","id":"018f8d0d-5a3c-7afc-8321-2f6f6e0fefab","note_count":10,"title":"Recipe Notes","updated_at":"2025-04-22T16:12:34Z"}],"total":1},"properties":{"request_id":{"description":"Identifier for this API request. Useful for tracing and support.","title":"Request Id","type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"results":{"description":"Relevance-ranked collection results matching the search request.","items":{"properties":{"created_at":{"description":"Creation timestamp for the collection in ISO 8601 format.","format":"date-time","title":"Created At","type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"description":{"oneOf":[{"type":"string","title":"Description","description":"Optional description text currently stored on the collection.","isRequired":true,"uniqueKey":"results.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"Optional description text currently stored on the collection.","isRequired":true,"uniqueKey":"results.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].description","typeLabel":"string | null"},"id":{"description":"UUID of the collection.","format":"uuid","title":"Id","type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"note_count":{"description":"Current number of notes in the collection.","title":"Note Count","type":"integer","isRequired":true,"uniqueKey":"results.items.[INDEX].note_count","typeLabel":"integer"},"title":{"description":"Current title of the collection.","title":"Title","type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].title","typeLabel":"string"},"updated_at":{"description":"Last modification timestamp for the collection in ISO 8601 format.","format":"date-time","title":"Updated At","type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"}},"required":["id","title","description","note_count","created_at","updated_at"],"title":"CollectionSearchItemResponseSchema","type":"object","uniqueKey":"results.items.[INDEX]","typeLabel":"CollectionSearchItemResponseSchema · object"},"title":"Results","type":"array","isRequired":true,"uniqueKey":"results","typeLabel":"CollectionSearchItemResponseSchema · object[]"},"total":{"description":"Number of collections returned by this bounded search response.","title":"Total","type":"integer","isRequired":true,"uniqueKey":"total","typeLabel":"integer"}},"required":["request_id","results","total"],"title":"CollectionSearchResponseSchema","type":"object","uniqueKey":"","typeLabel":"CollectionSearchResponseSchema · object"},"examples":{"Example":{"title":"Example","value":{"request_id":"api-request-018f8d0d-5a3c-7afc-8321-2f6f6e0fefab","results":[{"created_at":"2025-03-18T11:00:00Z","description":"Saved recipes from around the web","id":"018f8d0d-5a3c-7afc-8321-2f6f6e0fefab","note_count":10,"title":"Recipe Notes","updated_at":"2025-04-22T16:12:34Z"}],"total":1}}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"}},"security":{"1a23edc3-544e-4183-9fd0-2a3890047ad1":{"bearerAuth":{"scheme":"bearer","type":"http","scopes":[]}}},"servers":{"bedd9c91-de58-4c61-b033-0335a975a1f4":{"url":"https://api.mem.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"mem","siteName":"Mem API","title":"Search Collections - Mem API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-24T19:37:22.618Z","originalFileLocation":"api-reference/collections/search-collections.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Search collections using free-text relevance matching. Returns a bounded relevance-ranked result set and does not return next_page. For deterministic chronological pagination, use GET /v2/collections.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Mem API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Search Collections - Mem API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Search collections using free-text relevance matching. Returns a bounded relevance-ranked result set and does not return next_page. For deterministic chronological pagination, use GET /v2/collections.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Mem API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mem.ai/api-reference/collections/search-collections\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mem.mintlify.app/_mintlify/api/og/v2?division=Collections\u0026amp;title=Search+Collections\u0026amp;description=Search+collections+using+free-text+relevance+matching.%0AReturns+a+bounded+relevance-ranked+result+set+and+does+not+return+%60next_page%60.%0AFor+deterministic+chronolo\u0026amp;theme=8fdc537d852f84bc8ae932ae\u0026amp;signature=8edb9518442d7f3d6d284afe37fbac787291da0f744a9012a0a4ced8e2e855f7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Search Collections - Mem API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Search collections using free-text relevance matching. Returns a bounded relevance-ranked result set and does not return next_page. For deterministic chronological pagination, use GET /v2/collections.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mem.mintlify.app/_mintlify/api/og/v2?division=Collections\u0026amp;title=Search+Collections\u0026amp;description=Search+collections+using+free-text+relevance+matching.%0AReturns+a+bounded+relevance-ranked+result+set+and+does+not+return+%60next_page%60.%0AFor+deterministic+chronolo\u0026amp;theme=8fdc537d852f84bc8ae932ae\u0026amp;signature=8edb9518442d7f3d6d284afe37fbac787291da0f744a9012a0a4ced8e2e855f7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Mem API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3D69D9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mem.ai/api-reference/collections/search-collections\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/collections/search-collections.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mem.ai/#organization\",\"name\":\"Mem API\",\"url\":\"https://docs.mem.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/logo/light.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=44740ce750f212aa35044317793de356\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mem.ai#website\",\"name\":\"Mem API\",\"url\":\"https://docs.mem.ai\",\"publisher\":{\"@id\":\"https://docs.mem.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mem.ai/api-reference/collections/search-collections#webpage\",\"url\":\"https://docs.mem.ai/api-reference/collections/search-collections\",\"name\":\"Search Collections\",\"description\":\"Search collections using free-text relevance matching. Returns a bounded relevance-ranked result set and does not return next_page. For deterministic chronological pagination, use GET /v2/collections.\",\"dateModified\":\"2026-06-24T19:37:22.618Z\",\"isPartOf\":{\"@id\":\"https://docs.mem.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mem.ai/api-reference/collections/search-collections#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mem.ai/api-reference/collections/search-collections#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Collections\",\"item\":\"https://docs.mem.ai/api-reference/collections/create-collection\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Search Collections\",\"item\":\"https://docs.mem.ai/api-reference/collections/search-collections\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.mem.ai/api-reference/collections/search-collections#apireference\",\"headline\":\"Search Collections\",\"name\":\"Search Collections\",\"description\":\"Search collections using free-text relevance matching. Returns a bounded relevance-ranked result set and does not return next_page. For deterministic chronological pagination, use GET /v2/collections.\",\"url\":\"https://docs.mem.ai/api-reference/collections/search-collections\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mem.ai/api-reference/collections/search-collections#webpage\"},\"dateModified\":\"2026-06-24T19:37:22.618Z\",\"publisher\":{\"@id\":\"https://docs.mem.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mem.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Mem API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Mem API","nav":{"global":{"anchors":[{"anchor":"Community","icon":"slack","href":"https://get.mem.ai/slack"},{"anchor":"Blog","icon":"newspaper","href":"https://get.mem.ai/blog"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":""}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/get-started/overview"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","mode":"wide","href":"/api-reference/overview/introduction"},{"title":"Authentication","mode":"wide","href":"/api-reference/overview/authentication"},{"title":"Rate Limits","mode":"wide","href":"/api-reference/overview/rate-limits"},{"title":"Error Handling","mode":"wide","href":"/api-reference/overview/error-handling"},{"title":"Changelog","href":"/api-reference/overview/changelog"}]},{"group":"Mem It","pages":[{"title":"Mem It","openapi":"POST /v2/mem-it","href":"/api-reference/mem-it/mem-it"}]},{"group":"Notes","pages":[{"title":"Create Note","openapi":"POST /v2/notes","href":"/api-reference/notes/create-note"},{"title":"Read Note","openapi":"GET /v2/notes/{note_id}","href":"/api-reference/notes/read-note"},{"title":"Update Note","openapi":"PATCH /v2/notes/{note_id}","href":"/api-reference/notes/update-note"},{"title":"Set Note Created At","openapi":"PATCH /v2/notes/{note_id}/created-at","href":"/api-reference/notes/set-note-created-at"},{"title":"Delete Note","openapi":"DELETE /v2/notes/{note_id}","href":"/api-reference/notes/delete-note"},{"title":"List Notes","openapi":"GET /v2/notes","href":"/api-reference/notes/list-notes"},{"title":"Search Notes","openapi":"POST /v2/notes/search","href":"/api-reference/notes/search-notes"},{"title":"Find Related Notes","openapi":"GET /v2/notes/{note_id}/related-notes","href":"/api-reference/notes/find-related-notes"}]},{"group":"Collections","pages":[{"title":"Create Collection","openapi":"POST /v2/collections","href":"/api-reference/collections/create-collection"},{"title":"Read Collection","openapi":"GET /v2/collections/{collection_id}","href":"/api-reference/collections/read-collection"},{"title":"Update Collection","openapi":"PATCH /v2/collections/{collection_id}","href":"/api-reference/collections/update-collection"},{"title":"Add Note to Collection","openapi":"PUT /v2/collections/{collection_id}/notes/{note_id}","href":"/api-reference/collections/add-note-to-collection"},{"title":"Remove Note from Collection","openapi":"DELETE /v2/collections/{collection_id}/notes/{note_id}","href":"/api-reference/collections/remove-note-from-collection"},{"title":"Move Note","openapi":"POST /v2/collections/{source_collection_id}/notes/{note_id}/move","href":"/api-reference/collections/move-note"},{"title":"Delete Collection","openapi":"DELETE /v2/collections/{collection_id}","href":"/api-reference/collections/delete-collection"},{"title":"List Collections","openapi":"GET /v2/collections","description":"List collections visible to the authenticated caller with cursor pagination.\nResults are ordered by `order_by` and return `next_page` when additional rows are available.\nFor relevance-ranked retrieval by query, use `POST /v2/collections/search`.","href":"/api-reference/collections/list-collections"},{"title":"Search Collections","openapi":"POST /v2/collections/search","href":"/api-reference/collections/search-collections"}]}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/mcp/overview"}]}]},"basePath":"","title":"Search Collections - Mem API","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}